Bug 19514 - Latest iputils has file conflict on 6.1
Latest iputils has file conflict on 6.1
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-21 13:11 EDT by roger
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-21 13:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roger 2000-10-21 13:11:32 EDT
iputils-20001010-1.6x.i386.rpm was announced in Security Advisory
RHSA-2000:087-02. There seems to be a convention that the "6.x" in the
filename implies that it is appropriate to install it on any 6.x
installation. However, on a 6.1 machine I get:

[root@rocza roger]# rpm -Uvh iputils-20001010-1.6x.i386.rpm 
file /bin/ping from install of iputils-20001010-1.6x conflicts with file
from package netkit-base-0.10-37

Red Hat should either repackage the netkit-base package for 6.1 for
compatibility with the new iputils package, revise the security advisory to
suggest use of the --replacefiles option (if this is technically
appropriate--I haven't tried it), or rename the new iputils package to
remove the misleading "6.x".
Comment 1 Jeff Johnson 2000-10-22 08:44:14 EDT
The package has *.6x" in the name, but the errata was released for Red Hat 6.2.

Meanwhile, if you wish to use the iputils package, install with --nodeps and/or
--force,
as the executable should work fine on 6.0 and 6.1.

Note You need to log in before you can comment on or make changes to this bug.